Package com.pixelmed.apps

# Class DoseUtility.OurMediaImporter

java.lang.Object
com.pixelmed.dicom.MediaImporter
com.pixelmed.apps.DoseUtility.OurMediaImporter

Enclosing class:
  DoseUtility

protected class DoseUtility.OurMediaImporter extends MediaImporter

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

`MediaImporter.MediaImporterWithFileChooserDialogThread, MediaImporter.OurReadTerminationStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`canUseBzip`

### Fields inherited from class com.pixelmed.dicom.MediaImporter

`logger, mediaDirectoryPath, progressBar, progressBarUpdater, terminateAfterIdentifyingGroup`

## Constructor Summary

Constructors
Constructor
Description
`OurMediaImporter(MessageLogger logger, JProgressBar progressBar)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doSomethingWithDicomFileOnMedia(String mediaFileName)`
Do something with the referenced DICOM file that has been encountered.
`protected boolean`
`isOKToImport(String sopClassUID, String transferSyntaxUID)`
Check for valid information, and that the file is not compressed or not a suitable storage object for import.

### Methods inherited from class com.pixelmed.dicom.MediaImporter

`choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, doSomethingWithDicomFileOnMedia, doSomethingWithUnwantedFileOnMedia, getDirectory, importDicomFiles, logLn, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### canUseBzip

protected boolean canUseBzip

## Constructor Details

### OurMediaImporter

public OurMediaImporter(MessageLogger logger, JProgressBar progressBar)

## Method Details

### doSomethingWithDicomFileOnMedia

protected void doSomethingWithDicomFileOnMedia(String mediaFileName)
Description copied from class: `MediaImporter`

Do something with the referenced DICOM file that has been encountered.

This method needs to be implemented in a sub-class to do anything useful, unless `doSomethingWithDicomFileOnMedia(String mediaFileName,String transferSyntaxUID,String sopClassUID)` has been overridden instead. The default method does nothing.

"Wanted" files are those that are DICOM files for which `isOKToImport(String sopClassUID,String transferSyntaxUID)` returns true.

This method does not define any exceptions and hence must handle any errors locally.

Overrides:
  `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
Parameters:
  `mediaFileName` - the fully qualified path name to a DICOM file

### isOKToImport

protected boolean isOKToImport(String sopClassUID, String transferSyntaxUID)
Description copied from class: `MediaImporter`

Check for valid information, and that the file is not compressed or not a suitable storage object for import.

Overrides:
  `isOKToImport` in class `MediaImporter`
Parameters:
  `sopClassUID` - the SOP Class UID of the file
  `transferSyntaxUID` - the Transfer Syntax UID of the file
Returns:
  true if is suitable